summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorArch Librarian <arch@canonical.com>2005-07-14 13:04:47 +0000
committerArch Librarian <arch@canonical.com>2005-07-14 13:04:47 +0000
commit5b15d9622bf0995a33805e92102c80aae600dea2 (patch)
tree9fd66fb5a987fd00d93a5c33a345acd7dc939496 /autogen.sh
parent4722cb5782c1bae583e61b1876d1e58e5c720b88 (diff)
2002-01-24 Havoc Pennington <hp@redhat.com>
Author: hp Date: 2002-01-24 23:10:02 GMT 2002-01-24 Havoc Pennington <hp@redhat.com> * pkg.c (print_package_list): make the output halfway attractive * autogen.sh: use automake-1.4 aclocal-1.4 if found * pkg.c (verify_package): add a warning about -I/usr/include in cflags
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh20
1 files changed, 15 insertions, 5 deletions
diff --git a/autogen.sh b/autogen.sh
index 5e1d22f..3bf4085 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -21,7 +21,15 @@ DIE=0
DIE=1
}
-(automake --version) < /dev/null > /dev/null 2>&1 || {
+AUTOMAKE=automake-1.4
+ACLOCAL=aclocal-1.4
+
+($AUTOMAKE --version) < /dev/null > /dev/null 2>&1 || {
+ AUTOMAKE=automake
+ ACLOCAL=aclocal
+}
+
+($AUTOMAKE --version) < /dev/null > /dev/null 2>&1 || {
echo
echo "You must have automake installed to compile $PROJECT."
echo "Get ftp://ftp.cygnus.com/pub/home/tromey/automake-1.2d.tar.gz"
@@ -51,20 +59,22 @@ perl -p -i.bak -e "s/[a-zA-Z0-9]+_DATA/noinst_DATA/g" `find glib-1.2.8 -name Mak
perl -p -i.bak -e "s/info_TEXINFOS/noinst_TEXINFOS/g" `find glib-1.2.8 -name Makefile.am`
perl -p -i.bak -e "s/man_MANS/noinst_MANS/g" `find glib-1.2.8 -name Makefile.am`
-(cd glib-1.2.8 && automake)
+(cd glib-1.2.8 && $AUTOMAKE)
if test -z "$*"; then
echo "I am going to run ./configure with no arguments - if you wish "
echo "to pass any to it, please specify them on the $0 command line."
fi
-echo aclocal $ACLOCAL_FLAGS
-aclocal $ACLOCAL_FLAGS
+libtoolize --copy --force
+
+echo $ACLOCAL $ACLOCAL_FLAGS
+$ACLOCAL $ACLOCAL_FLAGS
# optionally feature autoheader
(autoheader --version) < /dev/null > /dev/null 2>&1 && autoheader
-automake -a $am_opt
+$AUTOMAKE -a $am_opt
autoconf
cd $ORIGDIR